import commands
import os
import sys
import string

def check_glut( context ):
        context.Message( 'Checking for GLUT ... ' )
        ret = context.TryRun( """
   #include <GL/glut.h>
   #include <stdio.h>

int main( int argc, char *argv[ ] )
{
   argc = argc;
   argv = argv;
   printf( "%d.0.0\\n", GLUT_API_VERSION );
   return 0;
}
""", ".c" )
        if ret[ 0 ]:
                ver = map( int, ret[ 1 ].split( "." ) )
                context.Result( repr( ver ) )
                return (1, ver)
        else:
                context.Result( 0 )
                return (0, [])
