//FILE:         devil.h
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#if HAVE_CONFIG_H
#include "config.h"

#if HAVE_DEVIL

#ifndef COURNIA_DEVIL_H
#define COURNIA_DEVIL_H 1

#include <string>
#include "image.h"
#include "gl_texture.h"

rgb_image* devil_load_rgb( const std::string& filename );

grey_image* devil_load_grey( const std::string& filename );

gl_texture devil_load_rgb_gl( const std::string& filename );

gl_texture devil_load_grey_gl( const std::string& filename );

#endif //COURNIA_DEVIL_H
#endif //HAVE_DEVIL
#endif //HAVE_CONFIG_H
