//FILE:         gaze_sdl.h
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#ifndef GAZE_SDL_H
#define GAZE_SDL_H 1

#ifdef HAVE_SDL

#include "SDL.h"

class gaze_sdl: public gaze_driver
{
 public:
   gaze_sdl( int w, int h ):
      m_width( w ), m_height( h )
   { }

   virtual void get_gaze( int& x, int &y ) {
      SDL_GetMouseState( &x, &y );
      y = m_height - y;
   }

 private:
   int m_width, m_height;
};

#endif

#endif
