//FILE:         fragment_program.h
//AUTHOR:       Nathan Cournia <nathan@courina.com>

#ifndef UBER_FRAGMENT_PROGRAM_H
#define UBER_FRAGMENT_PROGRAM_H 1

#include "gl_program.h"

class gl_fragment_program: public gl_program
{
 public:
   gl_fragment_program( const std::string& code, bool should_compile = true ):
      gl_program( GL_FRAGMENT_PROGRAM_ARB, code, should_compile )
   { }

   virtual ~gl_fragment_program( void ) { }
};

#endif
