//FILE:         vertex_program.h
//AUTHOR:       Nathan Cournia <nathan@courina.com>

#ifndef UBER_VERTEX_PROGRAM_H
#define UBER_VERTEX_PROGRAM_H 1

#include "gl_program.h"

class gl_vertex_program: public gl_program
{
 public:
   gl_vertex_program( const std::string& code, bool should_compile = true ):
      gl_program( GL_VERTEX_PROGRAM_ARB, code, should_compile )
   { }

   virtual ~gl_vertex_program( void ) { }
};

#endif
