//FILE:         ppm.h
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#ifndef COURNIA_PPM_H
#define COURNIA_PPM_H 1

#include <string>
#include "image.h"
#include "gl_texture.h"

rgb_image* ppm_load_rgb( const std::string& filename );

grey_image* ppm_load_grey( const std::string& filename );

gl_texture ppm_load_rgb_gl( const std::string& filename );

gl_texture ppm_load_grey_gl( const std::string& filename );

bool ppm_ascii_write( const std::string& filename, const rgb_image *img );

#endif
