//FILE:         scale.cpp
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#include "scale.h"
#include "args.h"

///////////////////////////////////////////////////////////////////////////////
std::istream& 
operator>>( std::istream& in, scale_t& scale )
{
   std::string upper;
   in >> upper;
   std::transform( upper.begin( ), upper.end( ), upper.begin( ),
      static_cast<int(*)(int)>( toupper ) );
   if( upper == "ASPECT" ) scale = SCALE_ASPECT;
   else if( upper == "STRETCH" ) scale = SCALE_STRETCH;
   else if( upper == "NONE" ) scale = SCALE_NONE;
   else scale = SCALE_ASPECT;
   return in;
}
