//FILE:         degradation.h
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#ifndef DEGRADATION_H
#define DEGRADATION_H 1

#include <string>
#include "image.h"
#include "gl_texture.h"
#include "args.h"

gl_texture load_rgb_image( const std::string& file );

grey_image* load_grey_image( const std::string& file );

gl_texture load_degradation_image( const cmd_args& args );

#endif
