//FILE:         gaze_backend.h
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#ifndef GAZE_BACKEND_H
#define GAZE_BACKEND_H 1

#include <iostream>

enum gaze_backend {
   GAZE_MOUSE,
   GAZE_ISCAN
};

std::istream& operator>>( std::istream& in, gaze_backend& backend );

//forward declare classes
class gaze_driver;
struct cmd_args;

gaze_driver* init_gaze( const cmd_args& args );

#endif
