//FILE:         gl_mipmap.cpp
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#include "gl_mipmap.h"
#include "args.h"

///////////////////////////////////////////////////////////////////////////////
std::istream& 
operator>>( std::istream& in, gl_mipmap& mipmap )
{
   std::string upper;
   in >> upper;
   std::transform( upper.begin( ), upper.end( ), upper.begin( ),
      static_cast<int(*)(int)>( toupper ) );
   if( upper == "GL_NEAREST_MIPMAP_NEAREST" ) mipmap.mipmap = GL_NEAREST_MIPMAP_NEAREST;
   else if( upper == "GL_LINEAR_MIPMAP_NEAREST" ) mipmap.mipmap = GL_LINEAR_MIPMAP_NEAREST;
   else if( upper == "GL_NEAREST_MIPMAP_LINEAR" ) mipmap.mipmap = GL_NEAREST_MIPMAP_LINEAR;
   else mipmap.mipmap = GL_LINEAR_MIPMAP_LINEAR;
   return in;
}
