//FILE:         gl_utils.h
//AUTHOR:       Nathan Cournia <nathan@cournia.com>

#ifndef COURNIA_GL_UTILS_H
#define COURNIA_GL_UTILS_H 1

#include "extgl.h"
#include "args.h"
#include "image.h"
#include "gl_texture.h"

std::string gl_get_error( void );

bool gl_init( const cmd_args& args );

void gl_resize( unsigned int w, unsigned int h );

gl_texture gl_load( rgba_image *img );

gl_texture gl_load( rgb_image *img );

gl_texture gl_load( unsigned int w, unsigned int h, unsigned char *pixels );

gl_texture gl_load( grey_image *img );

#endif
